I'm trying to enable Spring dependency management ...
# gradle
c
I'm trying to enable Spring dependency management for my build.gradle.kts (Gradle 4.0, Kotlin 1.1.2-5)
Copy code
buildscript {
	repositories {
		maven { setUrl("<http://repo.spring.io/milestone>") }
		maven { setUrl("<https://plugins.gradle.org/m2/>") }
		mavenLocal()
		jcenter()
	}
	dependencies {
		classpath("org.jetbrains.kotlin:kotlin-gradle-plugin:1.1.2-5")
		classpath("io.spring.gradle:dependency-management-plugin:1.0.3.RELEASE")
		classpath("org.springframework.boot:spring-boot-gradle-plugin:2.0.0.M1")
	}
}

apply {
	plugin("kotlin")
	plugin("groovy")
	plugin<JavaPlugin>()
	plugin("org.springframework.boot")
	plugin("io.spring.dependency-management")
}

configure<DependencyManagementExtension> {
	imports {
		mavenBom("io.spring.platform:platform-bom:Brussels-SR2")
	}
}

repositories {
	mavenLocal()
	jcenter()
}
This does not work: dependencies' versions do not get resolved. I did ask about this in #spring, but was sent here ­čÖé